/* PerforceProvider.java $Revision:$  $Date:$
 *
 * Copyright (C) 2001  Mike Swainston-Rainford
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

package com.togethersoft.modules.p4vcs;

import com.togethersoft.openapi.ide.IdeStartup;
import com.togethersoft.openapi.vcs.VcsProviderRegistryAccess;

/**
 * This class registers the <code>PerforceVcsProviderTyep</code> identified with the ID "P4".
 * @author <a href="mailto:mike@mjs-r.com">Mike Swainston-Rainford</a>
 * @version $Date:$ $Revision:$
 */
public class PerforceProvider implements IdeStartup
{
   public void autorun()
   {
      VcsProviderRegistryAccess.getRegistry().registerProvider(new PerforceVcsProviderType());
   }
}
