package com.togethersoft.modules.p4vcs.dialogs;

/*
 * Author: Administrator
 * Created: Monday, March 11, 2002 12:50:10 AM
 * Modified: Monday, March 11, 2002 12:50:10 AM
 */

import com.perforce.api.Change;
import java.awt.Color;
import java.awt.Component;
import javax.swing.JLabel;
import javax.swing.JList;
import javax.swing.ListCellRenderer;

public class ChangeRenderer extends JLabel implements ListCellRenderer
{
   public ChangeRenderer()
   {
      setOpaque(true);
   }

   public Component getListCellRendererComponent(JList list, Object value, int index, boolean isSelected, boolean cellHasFocus)
   {
      Change change = (Change)value;
      int changeNumber = change.getNumber();
      if (changeNumber == 0)
      {
         setText("Default");
      }
      else if (changeNumber == -1)
      {
         setText("New");
      }
      else
      {
         setText("" + changeNumber);
      }
      setBackground(isSelected ? new Color(166, 189, 223) : new Color(212, 208, 200));
      return this;
   }
}
